ktorrent 2.2.1-0ubuntu3.1 source package in Ubuntu

Changelog

ktorrent (2.2.1-0ubuntu3.1) gutsy-security; urgency=low

  * SECURITY UPDATE: access restrictions bypass in torrent upload feature
    of web interface plugin
    - debian/patches/11_SECURITY_CVE-2008-5905.patch: redirect to login page if
      session is not valid in plugins/webinterface/httpserver.cpp.
    - CVE-2008-5905
  * SECURITY UPDATE: arbitrary php code execution in web interface plugin
    - debian/patches/12_SECURITY_CVE-2008-5906.patch: check for string
      delimiters with a new containsDelimiters() function in
      plugins/webinterface/php_handler.{cpp,h}.
    - CVE-2008-5906

 -- Marc Deslauriers <email address hidden>   Tue, 20 Jan 2009 11:24:17 -0500

Upload details

Uploaded by:
Marc Deslauriers on 2009-01-22
Uploaded to:
Gutsy
Original maintainer:
Anthony Mercatante
Architectures:
any
Section:
kde
Urgency:
Low Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size SHA-256 Checksum
ktorrent_2.2.1.orig.tar.gz 3.6 MiB cd5f7ca8d9a06a317c4adf6336328dc79bdf6c7f7d31588af691ba202ef267f3
ktorrent_2.2.1-0ubuntu3.1.diff.gz 7.9 KiB d1dc7fcf161bc064f19a7b9c649c0b0cfe85164e08e06c8ffc11ad7158fb7b3a
ktorrent_2.2.1-0ubuntu3.1.dsc 679 bytes 59374de54d1e92f75e4ca3edff5f09de451855e8ee3f0bf1a4f3e3c00f9854da

View changes file

Binary packages built by this source

ktorrent: No summary available for ktorrent in ubuntu gutsy.

No description available for ktorrent in ubuntu gutsy.